Process subscription change initiated by a user (admin/agent). Supports individual custom subscription changes and resub all functionality. Legal forms are automatically created for user-initiated resubscribe actions on custom subscriptions.

http
POST https://services.leadconnectorhq.com/conversations/preferences/unsubscriptions/user-change

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
contactIdstringYesOP7z4LCyPACyH5fcEIZaContact Id
emailstringYesuser@example.comEmail address
subscription_actionobjectYesSubscription action details
legal_reasonstringNoUser requested resubscribe via customer serviceLegal reason for the change (required only for resubscribe and resub_all actions)
legal_descriptionstringNoCustomer called support on 2024-01-15 requesting to be removed from newsletterLegal description/details

Responses

200 - Successful response
201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/conversations/preferences/unsubscriptions/user-change' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "contactId": "OP7z4LCyPACyH5fcEIZa",
  "email": "user@example.com",
  "legal_reason": "User requested resubscribe via customer service",
  "legal_description": "Customer called support on 2024-01-15 requesting to be removed from newsletter"
}'

Last updated October 26, 2026

Was this page helpful?